> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.getmeadow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List inventory locations

> Retrieve all of the inventory locations for the organization. These may be cross referenced in other requests when you see `inventoryLocationId`.



## OpenAPI

````yaml GET /api/v1/inventory-locations
openapi: 3.0.1
info:
  title: Meadow Open API
  description: The API to connect to the Meadow platform
  version: 1.0.0
servers:
  - url: https://api-staging.getmeadow.com
  - url: https://api.getmeadow.com
security:
  - meadowConsumer: []
    meadowClient: []
paths:
  /api/v1/inventory-locations:
    get:
      description: >-
        Retrieve all of the inventory locations for the organization. These may
        be cross referenced in other requests when you see
        `inventoryLocationId`.
      parameters: []
      responses:
        '200':
          description: Inventory locations response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: The ID of the inventory location
                  name:
                    type: string
                    description: The name of the inventory location
                  description:
                    type: string
                    description: A description of the inventory location
                    nullable: true
                  type:
                    type: string
                    description: Either `standard` or `vehicle`
              example:
                data:
                  - id: 7
                    name: Retail Floor
                    description: Default inventory location.
                    type: standard
                  - id: 8
                    name: Vault Backstock
                    description: the vault in the back
                    type: standard
                  - id: 10
                    name: Delivery Inventory
                    description: For Delivery Only
                    type: standard
                  - id: 84
                    name: Delivery Ledger Car
                    description: null
                    type: vehicle
        4XX:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    APIError:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: A description of the error code
            code:
              type: string
              example: CODE_OF_ERROR_WILL_BE_HERE
  securitySchemes:
    meadowConsumer:
      type: apiKey
      name: X-Consumer-Key
      description: The key assigned to your company and provided via Meadow
      in: header
    meadowClient:
      type: apiKey
      name: X-Client-Key
      description: The key generated and provided by our mutual client
      in: header

````